#ifndef __ABAC_ATTR_H__
#define __ABAC_ATTR_H__

#include "abac_defines.h"

#include <credentials/certificates/certificate.h>

/* exported */
extern char *get_cred_encoding(abac_attribute_t *);
extern certificate_t *abac_attribute_issuer_cert(abac_attribute_t *ptr);
extern certificate_t *abac_attribute_cert(abac_attribute_t *ptr);
extern abac_attribute_t *abac_attribute_new(abac_id_t *, certificate_t *, certificate_t *);
extern abac_attribute_t *abac_attribute_dup(abac_attribute_t *);
extern abac_attribute_t *abac_attribute_copy(abac_attribute_t *);

#endif /* __ABAC_ATTR_H__ */
